export default class Queue<T> {
    private size;
    private array;
    constructor(size: number);
    add(data: T): void;
    removeFirst(): T | undefined;
    peek(): T | undefined;
    isEmpty(): boolean;
    copyArray(): T[];
    lastn(n: number): T[];
}
